# deleteCompanyIndividual

Source: /openapi/thomas-federated.openapi.json

## Operation

| Method | URL |
|---|---|
| DELETE | https://api.thomas.co/v1/company-individuals/{id} |

| Field | Value |
|---|---|
| operationId | deleteCompanyIndividual |
| method | DELETE |
| server | https://api.thomas.co/v1 |
| path | /company-individuals/{id} |
| tags | `People Administration` |
| summary | Delete company-individual |
| badges | `{"name":"Admin"}`, `{"name":"Owner"}` |

## Request Parameters

| Name | In | Required | Schema | Description |
|---|---|---|---|---|
| id | path | true | string |  |

## Request Body

None.

## Responses

| Status | Description | Schema refs |
|---|---|---|
| 204 | Company-individual deleted |  |
| 400 | Invalid UUID format for id parameter | #/components/schemas/ApiErrorResponseDto |
| 401 | Invalid or missing authentication token (AUTH_TOKEN_INVALID) | #/components/schemas/ApiErrorResponseDto |
| 403 | Insufficient role — admin or owner required | #/components/schemas/ApiErrorResponseDto |
| 404 | Company-individual not found | #/components/schemas/ApiErrorResponseDto |

## Artifact Examples

### Response 401 example

```json
{
  "statusCode": 401,
  "message": "Invalid or missing authentication token",
  "error": "AUTH_TOKEN_INVALID"
}
```
